# Documentation

Menu

## LikeType : string
in package

LikeType.php : 22

'Enum' of join types

### Table of Contents

AFTER = 'after'
BEFORE = 'before'
BOTH = 'both'
parse() : self

### Cases

#### BEFORE

LikeType.php : 24

#### AFTER

LikeType.php : 25

#### BOTH

LikeType.php : 26

### Methods

#### parse()

LikeType.php : 28
`public static parse(string|self $val) : self`

##### Parameters

$val : string|self

##### Return values

self —

## Search results